Bug 1069646 - Support drift for EAP domain mode
Summary: Support drift for EAP domain mode
Keywords:
Status: CLOSED CURRENTRELEASE
Alias: None
Product: JBoss Operations Network
Classification: JBoss
Component: Drift
Version: JON 3.3.0
Hardware: Unspecified
OS: Unspecified
unspecified
unspecified
Target Milestone: ER04
: JON 3.3.0
Assignee: Thomas Segismont
QA Contact: Armine Hovsepyan
URL:
Whiteboard:
Depends On: 1136751 1136760
Blocks:
TreeView+ depends on / blocked
 
Reported: 2014-02-25 13:11 UTC by Heiko W. Rupp
Modified: 2015-09-03 00:02 UTC (History)
4 users (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2014-12-11 14:02:19 UTC
Type: Enhancement


Attachments (Terms of Use)


Links
System ID Priority Status Summary Last Updated
Red Hat Bugzilla 1050014 None None None Never
Red Hat One Jira Issue Tracker JON3-7 Critical Verified Support bundles / drift on EAP6 domain mode 2015-08-13 18:50:53 UTC

Internal Links: 1050014

Description Heiko W. Rupp 2014-02-25 13:11:57 UTC
Drift can not detect changes in (remote) EAP managed instances.

Comment 1 Lukas Krejci 2014-04-01 12:34:34 UTC
If we determine we need it, I have an unfinished (and outdated) prototype of drift detection over API instead of direct filesystem "sniffing":
https://github.com/metlos/RHQ-old/tree/pluggable-drift

Comment 2 Thomas Segismont 2014-07-07 09:27:07 UTC
Fixed in master

commit 7da7799fe551ee02971146fdb130b4bb979735a6
Author: Thomas Segismont <tsegismo@redhat.com>
Date:   Mon Jul 7 11:17:54 2014 +0200

Added new drift definition templates in the plugin descriptor, targeted to monitor files in the configuration directory (ignoring *_history directories).

Comment 3 JBoss JIRA Server 2014-07-07 09:35:21 UTC
Heiko Rupp <hrupp@redhat.com> updated the status of jira JON3-7 to Resolved

Comment 4 Simeon Pinder 2014-07-31 15:51:32 UTC
Moving to ON_QA as available to test with brew build of DR01: https://brewweb.devel.redhat.com//buildinfo?buildID=373993

Comment 5 Garik Khachikyan 2014-08-04 11:53:18 UTC
JON3-7 task. taking QA contact

Comment 6 JBoss JIRA Server 2014-08-15 22:38:19 UTC
mfoley user <mfoley@redhat.com> updated the status of jira JON3-7 to Reopened

Comment 12 Simeon Pinder 2014-10-01 21:32:56 UTC
Moving to ON_QA as available for test with build:
https://brewweb.devel.redhat.com/buildinfo?buildID=388959

Comment 13 Armine Hovsepyan 2014-10-22 10:05:53 UTC
no blocking issues
marking rfe as verified

Comment 14 JBoss JIRA Server 2014-10-22 17:06:11 UTC
mfoley user <mfoley@redhat.com> updated the status of jira JON3-7 to Resolved


Note You need to log in before you can comment on or make changes to this bug.